Bioware Developer Forum Posts

#10 "Launcher is being updated. Please wait"

Originally Posted by EricMusco ( Original Post ) | 09.08.2017 10:20AM
Hey folks,

Before we get into the fix we strongly recommend that any users who are on XP or Vista upgrade their OS to Win 7 or newer if at all possible. This will allow you to play SWTOR going forward without any need for this fix. If you upgrade at a later date after using it, additional steps will likely be required to get SWTOR to run. This could even include a full re-install.

Note: Only use the below solution if you are receiving the "Certificate Authentication Failed" error on a Windows XP or Vista PC! Issues on any other OS or any other errors will not be addressed.

Spoiler

This launcher issue has highlighted for us that going forward, we will be unable to support Windows XP and Vista for The Old Republic. Since Microsoft has discontinued support for both of those OS, we will need to follow suit since we cannot reliably fix any issues that could arise.

The fix above will allow you to continue to access SWTOR until October. Beyond that, should any other issues crop up for XP or Vista users we will be unable to provide any assistance.

Thank you for your patience as we worked through this!

-eric

User Control Panel

Select Language: